Bug 82551 - fltk-config does not report ldflags dependency on -lm
fltk-config does not report ldflags dependency on -lm
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Sivachenko
Depends on:
  Show dependency treegraph
Reported: 2005-06-22 22:50 UTC by durian
Modified: 2005-06-25 19:26 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description durian 2005-06-22 22:50:21 UTC
	The fltk-config program, which is installed by x11-toolkits/fltk
	does not report a dependency on -lm when ldflags are requested.

	This causes problems for applications which use libfltk.  In particular,
	a build of openoffice-2.0-devel will fail when trying to build an epm
	sub-component because the math library is not linked when libfltk is
	detected and configured.

How-To-Repeat: 	# fltk-config --ldflags
	-L/usr/X11R6/lib -Wl,-rpath,/usr/X11R6/lib -L/usr/local/lib -lfltk -lXft -lXext -lX11 -lsupc++
	# nm /usr/X11R6/lib/libfltk.so.1
		libXft.so.2 => /usr/X11R6/lib/libXft.so.2 (0x281d8000)
		libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x281e9000)
		libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x281f6000)
		libstdc++.so.4 => /usr/lib/libstdc++.so.4 (0x282b5000)
		libm.so.3 => /lib/libm.so.3 (0x28387000)
		libfontconfig.so.1 => /usr/X11R6/lib/libfontconfig.so.1 (0x283a2000)
		libfreetype.so.9 => /usr/local/lib/libfreetype.so.9 (0x283c8000)
		libz.so.2 => /lib/libz.so.2 (0x28431000)
		libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x28441000)
		libexpat.so.5 => /usr/local/lib/libexpat.so.5 (0x28449000)
		libc.so.5 => /lib/libc.so.5 (0x28082000)
Comment 1 pav freebsd_committer 2005-06-23 16:04:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer
Comment 2 Dmitry Sivachenko freebsd_committer 2005-06-25 19:25:42 UTC
State Changed
From-To: open->closed

Problem resolved, thanks!